fop 2.3

## org.apache.fop.render.pdf.extensions
Class PDFCollectionEntryExtension

    java.lang.Object
      org.apache.fop.render.pdf.extensions.PDFObjectExtension
          org.apache.fop.render.pdf.extensions.PDFCollectionEntryExtension

Direct Known Subclasses:
  PDFCollectionExtension, PDFReferenceExtension

    public class PDFCollectionEntryExtension

extends PDFObjectExtension

Field Summary
`static java.lang.String` `PROPERTY_KEY`

Method Summary
`java.lang.String` `getKey()`
`void` `setKey(java.lang.String key)`

Methods inherited from class org.apache.fop.render.pdf.extensions.PDFObjectExtension
`getElementName, getType, getValue, getValueAsBoolean, getValueAsNumber, getValueAsString, getValueAsXMLEscapedString, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_KEY

    public static final java.lang.String PROPERTY_KEY

See Also:
  Constant Field Values

Method Detail

### getKey

    public java.lang.String getKey()

### setKey

    public void setKey(java.lang.String key)

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.